Subject: Re: bug#16211: eww should support multiple *eww* buffers

From: Ted Zlatanov <[email-masked]>
Date: Mon, 23 Dec 2013 08:11:35 -0500

On Sun, 22 Dec 2013 22:21:27 -0500 Stefan Monnier <[email-masked]> wrote: 

IS> EWW should support rendering Web pages in more than one buffer
IS> (akin to “tabs” and “windows” of many other browsers out there.)
>> I agree, but Lars and Stefan may not.  They prefer (based on a
>> discussion in emacs-devel just recently) a more Emacsian behavior where
>> possible, instead of mimicking regular web browsers.

SM> Not sure what you're thinking of.  I've spent a fair deal of time
SM> hacking on info.el so that we could have several Info buffers at the
SM> same time.  Same for PCL-CVS, *Help* and a few others.

SM> Emacs is an Operating System.  So of course, we want to be able to have
SM> several eww buffers at the same time.

I was talking about "tabs" and "windows" specifically, which imply a
collection of eww buffers should be somehow associated.  Anyhow, as I
said, I'm in favor of this as well, I just didn't want to assume this
direction was desirable.

Ted